# Class T8ClientProjectConnectionsDTO<TProduct>

#### Type Parameters

- TProduct

##### Index

### Constructors

constructor

### Methods

getAggregates

## Constructors

### constructor

- new T8ClientProjectConnectionsDTO<TProduct>(
  dataModel: T8ClientModelDTO,
  products: TProduct[],
  ): T8ClientProjectConnectionsDTO<TProduct>

  #### Type Parameters

  - TProduct

  #### Parameters

  - dataModel: T8ClientModelDTO
  - products: TProduct[]

  #### Returns T8ClientProjectConnectionsDTO<TProduct>

## Methods

### getAggregates

- getAggregates(): TProduct[]

  #### Returns TProduct[]